<?php
$viewdefs['Leads'] = 
array (
  'base' => 
  array (
    'view' => 
    array (
      'record' => 
      array (
        'buttons' => 
        array (
          0 => 
          array (
            'type' => 'button',
            'name' => 'cancel_button',
            'label' => 'LBL_CANCEL_BUTTON_LABEL',
            'css_class' => 'btn-invisible btn-link',
            'showOn' => 'edit',
            'events' => 
            array (
              'click' => 'button:cancel_button:click',
            ),
          ),
          1 => 
          array (
            'type' => 'rowaction',
            'event' => 'button:save_button:click',
            'name' => 'save_button',
            'label' => 'LBL_SAVE_BUTTON_LABEL',
            'css_class' => 'btn btn-primary',
            'showOn' => 'edit',
            'acl_action' => 'edit',
          ),
          2 => 
          array (
            'type' => 'actiondropdown',
            'name' => 'main_dropdown',
            'primary' => true,
            'showOn' => 'view',
            'buttons' => 
            array (
              0 => 
              array (
                'type' => 'rowaction',
                'event' => 'button:edit_button:click',
                'name' => 'edit_button',
                'label' => 'LBL_EDIT_BUTTON_LABEL',
                'acl_action' => 'edit',
              ),
              1 => 
              array (
                'type' => 'shareaction',
                'name' => 'share',
                'label' => 'LBL_RECORD_SHARE_BUTTON',
                'acl_action' => 'view',
              ),
              2 => 
              array (
                'type' => 'pdfaction',
                'name' => 'download-pdf',
                'label' => 'LBL_PDF_VIEW',
                'action' => 'download',
                'acl_action' => 'view',
              ),
              3 => 
              array (
                'type' => 'pdfaction',
                'name' => 'email-pdf',
                'label' => 'LBL_PDF_EMAIL',
                'action' => 'email',
                'acl_action' => 'view',
              ),
              4 => 
              array (
                'type' => 'divider',
              ),
              5 => 
              array (
                'type' => 'convertbutton',
                'name' => 'lead_convert_button',
                'label' => 'LBL_CONVERT_BUTTON_LABEL',
                'acl_action' => 'edit',
              ),
              6 => 
              array (
                'type' => 'manage-subscription',
                'name' => 'manage_subscription_button',
                'label' => 'LBL_MANAGE_SUBSCRIPTIONS',
                'acl_action' => 'view',
              ),
              7 => 
              array (
                'type' => 'vcard',
                'name' => 'vcard_button',
                'label' => 'LBL_VCARD_DOWNLOAD',
                'acl_action' => 'view',
              ),
              8 => 
              array (
                'type' => 'divider',
              ),
              9 => 
              array (
                'type' => 'rowaction',
                'event' => 'button:find_duplicates_button:click',
                'name' => 'find_duplicates_button',
                'label' => 'LBL_DUP_MERGE',
                'acl_action' => 'edit',
              ),
              10 => 
              array (
                'type' => 'rowaction',
                'event' => 'button:duplicate_button:click',
                'name' => 'duplicate_button',
                'label' => 'LBL_DUPLICATE_BUTTON_LABEL',
                'acl_module' => 'Leads',
                'acl_action' => 'create',
              ),
              11 => 
              array (
                'type' => 'rowaction',
                'event' => 'button:historical_summary_button:click',
                'name' => 'historical_summary_button',
                'label' => 'LBL_HISTORICAL_SUMMARY',
                'acl_action' => 'view',
              ),
              12 => 
              array (
                'type' => 'rowaction',
                'event' => 'button:audit_button:click',
                'name' => 'audit_button',
                'label' => 'LNK_VIEW_CHANGE_LOG',
                'acl_action' => 'view',
              ),
              13 => 
              array (
                'type' => 'divider',
              ),
              14 => 
              array (
                'type' => 'rowaction',
                'event' => 'button:delete_button:click',
                'name' => 'delete_button',
                'label' => 'LBL_DELETE_BUTTON_LABEL',
                'acl_action' => 'delete',
              ),
            ),
          ),
          3 => 
          array (
            'name' => 'sidebar_toggle',
            'type' => 'sidebartoggle',
          ),
        ),
        'panels' => 
        array (
          0 => 
          array (
            'name' => 'panel_header',
            'header' => true,
            'fields' => 
            array (
              0 => 
              array (
                'name' => 'picture',
                'type' => 'avatar',
                'size' => 'large',
                'dismiss_label' => true,
              ),
              1 => 
              array (
                'name' => 'name',
                'type' => 'fullname',
                'label' => 'LBL_NAME',
                'dismiss_label' => true,
                'fields' => 
                array (
                  0 => 
                  array (
                    'name' => 'salutation',
                    'type' => 'enum',
                    'enum_width' => 'auto',
                    'searchBarThreshold' => 7,
                  ),
                  1 => 'first_name',
                  2 => 'last_name',
                ),
              ),
              2 => 
              array (
                'type' => 'favorite',
              ),
              3 => 
              array (
                'type' => 'follow',
                'readonly' => true,
              ),
              4 => 
              array (
                'name' => 'converted',
                'type' => 'badge',
                'dismiss_label' => true,
                'readonly' => true,
                'related_fields' => 
                array (
                  0 => 'account_id',
                  1 => 'account_name',
                  2 => 'contact_id',
                  3 => 'contact_name',
                  4 => 'opportunity_id',
                  5 => 'opportunity_name',
                  6 => 'converted_opp_name',
                ),
              ),
            ),
          ),
          1 => 
          array (
            'name' => 'panel_body',
            'label' => 'LBL_RECORD_BODY',
            'columns' => 2,
            'labels' => true,
            'labelsOnTop' => true,
            'placeholders' => true,
            'newTab' => true,
            'panelDefault' => 'expanded',
            'fields' => 
            array (
              0 => 'title',
              1 => 
              array (
                'name' => 'status',
                'type' => 'status',
              ),
              2 => 
              array (
                'name' => 'email',
                'span' => 12,
              ),
              3 => 'account_name',
              4 => 
              array (
                'name' => 'organization_relationship_c',
                'label' => 'LBL_ACCOUNT_RELATIONSHIP',
              ),
              5 => 
              array (
                'name' => 'phone_home',
                'comment' => 'Home phone number of the contact',
                'label' => 'LBL_HOME_PHONE',
              ),
              6 => 'phone_mobile',
              7 => 
              array (
                'name' => 'primary_phone_type_c',
                'label' => 'LBL_PRIMARY_PHONE_TYPE',
              ),
              8 => 
              array (
                'name' => 'secondary_phone_type_c',
                'label' => 'LBL_SECONDARY_PHONE_TYPE',
              ),
              9 => 
              array (
                'name' => 'do_not_call',
              ),
              10 => 
              array (
              ),
              11 => 
              array (
                'name' => 'primary_address',
                'type' => 'fieldset',
                'css_class' => 'address',
                'label' => 'LBL_PRIMARY_ADDRESS',
                'fields' => 
                array (
                  0 => 
                  array (
                    'name' => 'primary_address_street',
                    'css_class' => 'address_street',
                    'placeholder' => 'LBL_PRIMARY_ADDRESS_STREET',
                  ),
                  1 => 
                  array (
                    'name' => 'primary_address_city',
                    'css_class' => 'address_city',
                    'placeholder' => 'LBL_PRIMARY_ADDRESS_CITY',
                  ),
                  2 => 
                  array (
                    'name' => 'primary_address_state',
                    'css_class' => 'address_state',
                    'placeholder' => 'LBL_PRIMARY_ADDRESS_STATE',
                  ),
                  3 => 
                  array (
                    'name' => 'primary_address_postalcode',
                    'css_class' => 'address_zip',
                    'placeholder' => 'LBL_PRIMARY_ADDRESS_POSTALCODE',
                  ),
                  4 => 
                  array (
                    'name' => 'primary_address_country',
                    'css_class' => 'address_country',
                    'placeholder' => 'LBL_PRIMARY_ADDRESS_COUNTRY',
                  ),
                ),
              ),
              12 => 
              array (
                'name' => 'alt_address',
                'type' => 'fieldset',
                'css_class' => 'address',
                'label' => 'LBL_ALT_ADDRESS',
                'fields' => 
                array (
                  0 => 
                  array (
                    'name' => 'alt_address_street',
                    'css_class' => 'address_street',
                    'placeholder' => 'LBL_ALT_ADDRESS_STREET',
                  ),
                  1 => 
                  array (
                    'name' => 'alt_address_city',
                    'css_class' => 'address_city',
                    'placeholder' => 'LBL_ALT_ADDRESS_CITY',
                  ),
                  2 => 
                  array (
                    'name' => 'alt_address_state',
                    'css_class' => 'address_state',
                    'placeholder' => 'LBL_ALT_ADDRESS_STATE',
                  ),
                  3 => 
                  array (
                    'name' => 'alt_address_postalcode',
                    'css_class' => 'address_zip',
                    'placeholder' => 'LBL_ALT_ADDRESS_POSTALCODE',
                  ),
                  4 => 
                  array (
                    'name' => 'alt_address_country',
                    'css_class' => 'address_country',
                    'placeholder' => 'LBL_ALT_ADDRESS_COUNTRY',
                  ),
                  5 => 
                  array (
                    'name' => 'copy',
                    'label' => 'NTC_COPY_PRIMARY_ADDRESS',
                    'type' => 'copy',
                    'mapping' => 
                    array (
                      'primary_address_street' => 'alt_address_street',
                      'primary_address_city' => 'alt_address_city',
                      'primary_address_state' => 'alt_address_state',
                      'primary_address_postalcode' => 'alt_address_postalcode',
                      'primary_address_country' => 'alt_address_country',
                    ),
                  ),
                ),
              ),
              13 => 
              array (
                'name' => 'primary_address_type_c',
                'label' => 'LBL_PRIMARY_ADDRESS_TYPE',
              ),
              14 => 
              array (
                'name' => 'other_address_type_c',
                'label' => 'LBL_OTHER_ADDRESS_TYPE',
              ),
              15 => 
              array (
                'name' => 'do_not_mail_c',
                'label' => 'LBL_DO_NOT_MAIL',
                'span' => 12,
              ),
              16 => 'phone_fax',
              17 => 'lead_source',
              18 => 
              array (
                'name' => 'other_lead_source_desc_c',
                'label' => 'LBL_OTHER_LEAD_SOURCE_DESC_C',
              ),
              19 => 
              array (
                'name' => 'campaign_name',
              ),
              20 => 
              array (
                'name' => 'description',
                'span' => 12,
              ),
              21 => 
              array (
                'name' => 'tag',
                'span' => 12,
              ),
              22 => 
              array (
                'name' => 'twitter',
                'span' => 12,
              ),
              23 => 
              array (
                'name' => 'facebook',
                'comment' => 'The facebook name of the user',
                'label' => 'LBL_FACEBOOK',
              ),
              24 => 
              array (
                'name' => 'googleplus',
                'comment' => 'The google plus id of the user',
                'label' => 'LBL_GOOGLEPLUS',
              ),
            ),
          ),
          2 => 
          array (
            'name' => 'panel_hidden',
            'label' => 'LBL_RECORD_SHOWMORE',
            'hide' => true,
            'columns' => 2,
            'labels' => true,
            'labelsOnTop' => true,
            'placeholders' => true,
            'newTab' => true,
            'panelDefault' => 'expanded',
            'fields' => 
            array (
              0 => 
              array (
                'name' => 'birthdate',
                'comment' => 'The birthdate of the contact',
                'label' => 'LBL_BIRTHDATE',
              ),
              1 => 
              array (
                'name' => 'constituent_gender_c',
                'label' => 'LBL_CONSTITUENT_GENDER',
              ),
              2 => 
              array (
                'name' => 'constituent_ethnicity_c',
                'label' => 'LBL_CONSTITUENT_ETHNICITY',
              ),
              3 => 
              array (
                'name' => 'constituent_race_c',
                'label' => 'LBL_CONSTITUENT_RACE',
              ),
              4 => 
              array (
                'name' => 'county_c',
                'label' => 'LBL_COUNTY_C',
              ),
              5 => 
              array (
              ),
              6 => 
              array (
                'name' => 'accounts_leads_1_name',
                'label' => 'LBL_ACCOUNTS_LEADS_1_FROM_ACCOUNTS_TITLE',
              ),
              7 => 
              array (
                'name' => 'jccc_start_term_c',
                'label' => 'LBL_JCCC_START_TERM_C',
              ),
              8 => 
              array (
                'name' => 'grad_month_c',
                'label' => 'LBL_GRAD_MONTH_C',
              ),
              9 => 
              array (
                'name' => 'grad_year_c',
                'label' => 'LBL_GRAD_YEAR_C',
              ),
              10 => 
              array (
                'name' => 'level_of_interest_c',
                'label' => 'LBL_LEVEL_OF_INTEREST_C',
                'span' => 12,
              ),
              11 => 
              array (
                'name' => 'send_info_on_c',
                'label' => 'LBL_SEND_INFO_ON_C',
              ),
              12 => 
              array (
                'name' => 'standard_materials',
                'label' => 'LBL_STANDARD_MATERIALS_C',
              ),
              13 => 
              array (
                'name' => 'major_c',
                'label' => 'LBL_MAJORS_C',
                'span' => 12,
              ),
              14 => 
              array (
                'name' => 'initial_mail_date_c',
                'label' => 'LBL_INITIAL_MAIL_DATE_C',
              ),
              15 => 
              array (
              ),
              16 => 
              array (
                'name' => 'accounts_fut_college_leads_name',
                'label' => 'LBL_ACCOUNTS_FUT_COLLEGE_LEADS_FROM_ACCOUNTS_TITLE',
              ),
              17 => 
              array (
              ),
              18 => 
              array (
                'name' => 'parent_1_first_name_c',
                'label' => 'LBL_PARENT_1_FIRST_NAME_C',
              ),
              19 => 
              array (
                'name' => 'parent_1_last_name_c',
                'label' => 'LBL_PARENT_1_LAST_NAME_C',
              ),
              20 => 
              array (
                'name' => 'parent_1_phone_c',
                'label' => 'LBL_PARENT_1_PHONE_C',
              ),
              21 => 
              array (
                'name' => 'parent_1_email_c',
                'label' => 'LBL_PARENT_1_EMAIL_C',
              ),
              22 => 
              array (
                'name' => 'parent_1_address_c',
                'label' => 'LBL_PARENT_1_ADDRESS',
                'span' => 12,
              ),
              23 => 
              array (
                'name' => 'parent_2_first_name_c',
                'label' => 'LBL_PARENT_2_FIRST_NAME_C',
              ),
              24 => 
              array (
                'name' => 'parent_2_last_name_c',
                'label' => 'LBL_PARENT_2_LAST_NAME_C',
              ),
              25 => 
              array (
                'name' => 'parent_2_email_c',
                'label' => 'LBL_PARENT_2_EMAIL_C',
              ),
              26 => 
              array (
                'name' => 'parent_2_phone_c',
                'label' => 'LBL_PARENT_2_PHONE_C',
              ),
              27 => 
              array (
                'name' => 'parent_2_address_c',
                'label' => 'LBL_PARENT_2_ADDRESS',
                'span' => 12,
              ),
              28 => 
              array (
                'name' => 'seekingobjective_c',
                'label' => 'OBJECTIVE',
              ),
              29 => 
              array (
                'name' => 'parenthavedegree_c',
                'label' => 'LBL_PARENTHAVEDEGREE_C',
              ),
              30 => 
              array (
                'name' => 'assigned_user_name',
              ),
              31 => 
              array (
                'name' => 'team_name',
              ),
              32 => 
              array (
                'name' => 'date_entered_by',
                'readonly' => true,
                'inline' => true,
                'type' => 'fieldset',
                'label' => 'LBL_DATE_ENTERED',
                'fields' => 
                array (
                  0 => 
                  array (
                    'name' => 'date_entered',
                  ),
                  1 => 
                  array (
                    'type' => 'label',
                    'default_value' => 'LBL_BY',
                  ),
                  2 => 
                  array (
                    'name' => 'created_by_name',
                  ),
                ),
              ),
              33 => 
              array (
                'name' => 'date_modified_by',
                'readonly' => true,
                'inline' => true,
                'type' => 'fieldset',
                'label' => 'LBL_DATE_MODIFIED',
                'fields' => 
                array (
                  0 => 
                  array (
                    'name' => 'date_modified',
                  ),
                  1 => 
                  array (
                    'type' => 'label',
                    'default_value' => 'LBL_BY',
                  ),
                  2 => 
                  array (
                    'name' => 'modified_by_name',
                  ),
                ),
              ),
              34 => 
              array (
                'span' => 12,
              ),
            ),
          ),
        ),
        'templateMeta' => 
        array (
          'useTabs' => true,
        ),
      ),
    ),
  ),
);
