<?php
$module_name = 'Lev_Contracts';
$viewdefs[$module_name] = 
array (
  'base' => 
  array (
    'view' => 
    array (
      'record' => 
      array (
        'buttons' => 
        array (
          0 => 
          array (
            'type' => 'button',
            'name' => 'cancel_button',
            'label' => 'LBL_CANCEL_BUTTON_LABEL',
            'css_class' => 'btn-invisible btn-link',
            'showOn' => 'edit',
            'events' => 
            array (
              'click' => 'button:cancel_button:click',
            ),
          ),
          1 => 
          array (
            'type' => 'rowaction',
            'event' => 'button:save_button:click',
            'name' => 'save_button',
            'label' => 'LBL_SAVE_BUTTON_LABEL',
            'css_class' => 'btn btn-primary',
            'showOn' => 'edit',
            'acl_action' => 'edit',
          ),
          2 => 
          array (
            'type' => 'actiondropdown',
            'name' => 'main_dropdown',
            'primary' => true,
            'showOn' => 'view',
            'buttons' => 
            array (
              0 => 
              array (
                'type' => 'rowaction',
                'event' => 'button:edit_button:click',
                'name' => 'edit_button',
                'label' => 'LBL_EDIT_BUTTON_LABEL',
                'acl_action' => 'edit',
              ),
              1 => 
              array (
                'type' => 'shareaction',
                'name' => 'share',
                'label' => 'LBL_RECORD_SHARE_BUTTON',
                'acl_action' => 'view',
              ),
              2 => 
              array (
                'type' => 'pdfaction',
                'name' => 'download-pdf',
                'label' => 'LBL_PDF_VIEW',
                'action' => 'download',
                'acl_action' => 'view',
              ),
              3 => 
              array (
                'type' => 'pdfaction',
                'name' => 'email-pdf',
                'label' => 'LBL_PDF_EMAIL',
                'action' => 'email',
                'acl_action' => 'view',
              ),
              4 => 
              array (
                'type' => 'divider',
              ),
              5 => 
              array (
                'type' => 'rowaction',
                'event' => 'button:print_agreement:click',
                'name' => 'print_agreement',
                'label' => 'LBL_PRINT_AGREEMENT',
                'acl_action' => 'view',
              ),
              6 => 
              array (
                'type' => 'rowaction',
                'event' => 'button:billing_memo:click',
                'name' => 'billing_memo',
                'label' => 'LBL_BILLING_MEMO',
                'acl_action' => 'view',
              ),
              7 => 
              array (
                'type' => 'divider',
              ),
              8 => 
              array (
                'type' => 'rowaction',
                'event' => 'button:find_duplicates_button:click',
                'name' => 'find_duplicates_button',
                'label' => 'LBL_DUP_MERGE',
                'acl_action' => 'edit',
              ),
              9 => 
              array (
                'type' => 'rowaction',
                'event' => 'button:duplicate_button:click',
                'name' => 'duplicate_button',
                'label' => 'LBL_DUPLICATE_BUTTON_LABEL',
                'acl_module' => 'Lev_Contracts',
                'acl_action' => 'create',
              ),
              10 => 
              array (
                'type' => 'rowaction',
                'event' => 'button:audit_button:click',
                'name' => 'audit_button',
                'label' => 'LNK_VIEW_CHANGE_LOG',
                'acl_action' => 'view',
              ),
              11 => 
              array (
                'type' => 'divider',
              ),
              12 => 
              array (
                'type' => 'rowaction',
                'event' => 'button:delete_button:click',
                'name' => 'delete_button',
                'label' => 'LBL_DELETE_BUTTON_LABEL',
                'acl_action' => 'delete',
              ),
            ),
          ),
          3 => 
          array (
            'name' => 'sidebar_toggle',
            'type' => 'sidebartoggle',
          ),
        ),
        'panels' => 
        array (
          0 => 
          array (
            'name' => 'panel_header',
            'label' => 'LBL_RECORD_HEADER',
            'header' => true,
            'fields' => 
            array (
              0 => 
              array (
                'name' => 'picture',
                'type' => 'avatar',
                'width' => 42,
                'height' => 42,
                'dismiss_label' => true,
                'readonly' => true,
              ),
              1 => 'name',
              2 => 
              array (
                'name' => 'favorite',
                'label' => 'LBL_FAVORITE',
                'type' => 'favorite',
                'readonly' => true,
                'dismiss_label' => true,
              ),
              3 => 
              array (
                'name' => 'follow',
                'label' => 'LBL_FOLLOW',
                'type' => 'follow',
                'readonly' => true,
                'dismiss_label' => true,
              ),
            ),
          ),
          1 => 
          array (
            'name' => 'panel_body',
            'label' => 'LBL_RECORD_BODY',
            'columns' => 2,
            'labelsOnTop' => true,
            'placeholders' => true,
            'newTab' => true,
            'panelDefault' => 'expanded',
            'fields' => 
            array (
              0 => 
              array (
                'name' => 'contract_id_gen',
                'label' => 'LBL_CONTRACT_ID_GEN',
                'readonly' => true,
              ),
              1 => 
              array (
              ),
              2 => 
              array (
                'name' => 'accounts_lev_contracts_1_name',
                'label' => 'LBL_ACCOUNTS_LEV_CONTRACTS_1_FROM_ACCOUNTS_TITLE',
              ),
              3 => 
              array (
                'name' => 'contract_status',
                'studio' => 'visible',
                'label' => 'LBL_CONTRACT_STATUS',
              ),
              4 => 
              array (
                'name' => 'primary_contact',
                'studio' => 'visible',
                'label' => 'LBL_PRIMARY_CONTACT',
              ),
              5 => 'assigned_user_name',
              6 => 
              array (
                'name' => 'billing_contact',
                'studio' => 'visible',
                'label' => 'LBL_BILLING_CONTACT',
              ),
              7 => 
              array (
                'name' => 'sales_support_c',
                'studio' => 'visible',
                'label' => 'LBL_SALES_SUPPORT',
              ),
              8 => 
              array (
                'name' => 'start_date_c',
                'label' => 'LBL_START_DATE',
              ),
              9 => 
              array (
                'name' => 'start_day_of_week_c',
                'label' => 'LBL_START_DAY_OF_WEEK',
                'readonly' => true,
              ),
              10 => 
              array (
                'name' => 'end_date_c',
                'label' => 'LBL_END_DATE',
              ),
              11 => 
              array (
                'name' => 'end_day_of_week_c',
                'label' => 'LBL_END_DAY_OF_WEEK',
                'readonly' => true,
              ),
              12 => 
              array (
                'name' => 'academic_period_c',
                'label' => 'LBL_ACADEMIC_PERIOD',
                'readonly' => true,
              ),
              13 => 
              array (
                'name' => 'opportunities_lev_contracts_name',
                'label' => 'LBL_OPPORTUNITIES_LEV_CONTRACTS_FROM_OPPORTUNITIES_TITLE',
              ),
              14 => 
              array (
                'name' => 'description',
                'comment' => 'Full text of the note',
                'studio' => 'visible',
                'label' => 'LBL_DESCRIPTION',
                'type' => 'htmleditable_tinymce',
                 'script_url' => 'include/javascript/tiny_mce/tiny_mce.js',
              ),
              15 => 
              array (
                'name' => 'notes_c',
                'studio' => 'visible',
                'label' => 'LBL_NOTE_S',
                'type' => 'htmleditable_tinymce',
                 'script_url' => 'include/javascript/tiny_mce/tiny_mce.js',
              ),
              16 => 
              array (
                'name' => 'cost_center',
                'studio' => 'visible',
                'label' => 'LBL_COST_CENTER',
                'span' => 12,
              ),
              17 => 
              array (
                'name' => 'date_agreement_sent',
                'label' => 'LBL_DATE_AGREEMENT_SENT',
              ),
              18 => 
              array (
                'name' => 'date_agreement_received',
                'label' => 'LBL_DATE_AGREEMENT_RECEIVED',
              ),
            ),
          ),
          2 => 
          array (
            'name' => 'panel_hidden',
            'label' => 'LBL_SHOW_MORE',
            'hide' => true,
            'columns' => 2,
            'labelsOnTop' => true,
            'placeholders' => true,
            'newTab' => true,
            'panelDefault' => 'expanded',
            'fields' => 
            array (
              0 => 
              array (
                'name' => 'contract_amount',
                'label' => 'LBL_CONTRACT_AMOUNT',
                'readonly' => true,
                'span' => 12,
              ),
              1 => 
              array (
                'name' => 'contract_expense',
                'label' => 'LBL_CONTRACT_EXPENSE',
                'readonly' => true,
                'span' => 12,
              ),
              2 => 
              array (
                'name' => 'contract_net',
                'label' => 'LBL_CONTRACT_NET',
                'readonly' => true,
              ),
              3 => 
              array (
                'name' => 'gross_margin_c',
                'label' => 'LBL_GROSS_MARGIN',
              ),
            ),
          ),
          3 => 
          array (
            'newTab' => true,
            'panelDefault' => 'expanded',
            'name' => 'LBL_RECORDVIEW_PANEL1',
            'label' => 'LBL_RECORDVIEW_PANEL1',
            'columns' => 2,
            'labelsOnTop' => 1,
            'placeholders' => 1,
            'fields' => 
            array (
              0 => 'team_name',
              1 => 
              array (
              ),
              2 => 
              array (
                'name' => 'date_entered_by',
                'readonly' => true,
                'inline' => true,
                'type' => 'fieldset',
                'label' => 'LBL_DATE_ENTERED',
                'fields' => 
                array (
                  0 => 
                  array (
                    'name' => 'date_entered',
                  ),
                  1 => 
                  array (
                    'type' => 'label',
                    'default_value' => 'LBL_BY',
                  ),
                  2 => 
                  array (
                    'name' => 'created_by_name',
                  ),
                ),
              ),
              3 => 
              array (
                'name' => 'created_by_name',
                'readonly' => true,
                'label' => 'LBL_CREATED',
              ),
              4 => 
              array (
                'name' => 'date_modified_by',
                'readonly' => true,
                'inline' => true,
                'type' => 'fieldset',
                'label' => 'LBL_DATE_MODIFIED',
                'fields' => 
                array (
                  0 => 
                  array (
                    'name' => 'date_modified',
                  ),
                  1 => 
                  array (
                    'type' => 'label',
                    'default_value' => 'LBL_BY',
                  ),
                  2 => 
                  array (
                    'name' => 'modified_by_name',
                  ),
                ),
              ),
              5 => 
              array (
              ),
            ),
          ),
        ),
        'templateMeta' => 
        array (
          'useTabs' => true,
        ),
      ),
    ),
  ),
);
