<?php
$module_name = 'Lev_Courses';
$viewdefs[$module_name] = 
array (
  'base' => 
  array (
    'view' => 
    array (
      'record' => 
      array (
        'buttons' => 
        array (
          0 => 
          array (
            'type' => 'button',
            'name' => 'cancel_button',
            'label' => 'LBL_CANCEL_BUTTON_LABEL',
            'css_class' => 'btn-invisible btn-link',
            'showOn' => 'edit',
            'events' => 
            array (
              'click' => 'button:cancel_button:click',
            ),
          ),
          1 => 
          array (
            'type' => 'rowaction',
            'event' => 'button:save_button:click',
            'name' => 'save_button',
            'label' => 'LBL_SAVE_BUTTON_LABEL',
            'css_class' => 'btn btn-primary',
            'showOn' => 'edit',
            'acl_action' => 'edit',
          ),
          2 => 
          array (
            'type' => 'actiondropdown',
            'name' => 'main_dropdown',
            'primary' => true,
            'showOn' => 'view',
            'buttons' => 
            array (
              0 => 
              array (
                'type' => 'rowaction',
                'event' => 'button:edit_button:click',
                'name' => 'edit_button',
                'label' => 'LBL_EDIT_BUTTON_LABEL',
                'acl_action' => 'edit',
              ),
              1 => 
              array (
                'type' => 'shareaction',
                'name' => 'share',
                'label' => 'LBL_RECORD_SHARE_BUTTON',
                'acl_action' => 'view',
              ),
              2 => 
              array (
                'type' => 'pdfaction',
                'name' => 'download-pdf',
                'label' => 'LBL_PDF_VIEW',
                'action' => 'download',
                'acl_action' => 'view',
              ),
              3 => 
              array (
                'type' => 'divider',
              ),
              4 => 
              array (
                'type' => 'rowaction',
                'event' => 'button:duplicate_button:click',
                'name' => 'duplicate_button',
                'label' => 'LBL_DUPLICATE_BUTTON_LABEL',
                'acl_module' => 'Lev_Courses',
                'acl_action' => 'create',
              ),
              5 => 
              array (
                'type' => 'rowaction',
                'event' => 'button:audit_button:click',
                'name' => 'audit_button',
                'label' => 'LNK_VIEW_CHANGE_LOG',
                'acl_action' => 'view',
              ),
            ),
          ),
          3 => 
          array (
            'name' => 'sidebar_toggle',
            'type' => 'sidebartoggle',
          ),
        ),
        'panels' => 
        array (
          0 => 
          array (
            'name' => 'panel_header',
            'label' => 'LBL_RECORD_HEADER',
            'header' => true,
            'fields' => 
            array (
              0 => 
              array (
                'name' => 'picture',
                'type' => 'avatar',
                'width' => 42,
                'height' => 42,
                'dismiss_label' => true,
                'readonly' => true,
              ),
              1 => 'name',
              2 => 
              array (
                'name' => 'favorite',
                'label' => 'LBL_FAVORITE',
                'type' => 'favorite',
                'readonly' => true,
                'dismiss_label' => true,
              ),
              3 => 
              array (
                'name' => 'follow',
                'label' => 'LBL_FOLLOW',
                'type' => 'follow',
                'readonly' => true,
                'dismiss_label' => true,
              ),
            ),
          ),
          1 => 
          array (
            'name' => 'panel_body',
            'label' => 'LBL_RECORD_BODY',
            'columns' => 2,
            'labelsOnTop' => true,
            'placeholders' => true,
            'newTab' => true,
            'panelDefault' => 'expanded',
            'fields' => 
            array (
              0 => 
              array (
                'name' => 'alertfield',
                'span' => 12,
                'readonly' => true,
              ),
              1 => 
              array (
                'name' => 'course_name_c',
                'studio' => 'visible',
                'label' => 'LBL_COURSE_NAME',
              ),
              2 => 
              array (
                'name' => 'curriculum_type',
                'label' => 'LBL_CURRICULUM_TYPE',
                'readonly' => true,
              ),
              3 => 
              array (
                'name' => 'course_number_c',
                'label' => 'LBL_COURSE_NUMBER',
              ),
              4 => 
              array (
                'name' => 'crn',
                'label' => 'LBL_CRN',
              ),
              5 => 
              array (
                'name' => 'lev_contracts_lev_courses_name',
                'label' => 'LBL_LEV_CONTRACTS_LEV_COURSES_FROM_LEV_CONTRACTS_TITLE',
                'span' => 12,
              ),
              6 => 
              array (
                'name' => 'course_location_c',
                'label' => 'LBL_COURSE_LOCATION',
              ),
              7 => 
              array (
                'name' => 'max_students',
                'label' => 'LBL_MAX_STUDENTS',
              ),
              8 => 
              array (
                'name' => 'start_date',
                'label' => 'LBL_START_DATE',
                'readonly' => true,
              ),
              9 => 
              array (
                'name' => 'start_day_of_week',
                'label' => 'LBL_START_DAY_OF_WEEK',
                'readonly' => true,
              ),
              10 => 
              array (
                'name' => 'end_date',
                'label' => 'LBL_END_DATE',
                'readonly' => true,
              ),
              11 => 
              array (
                'name' => 'end_day_of_week',
                'label' => 'LBL_END_DAY_OF_WEEK',
               'readonly' =>  true,
              ),
              12 => 
              array (
                'name' => 'academic_period',
                'label' => 'LBL_ACADEMIC_PERIOD',
                'readonly' => true,
              ),
              13 => 
              array (
                'name' => 'course_status',
                'studio' => 'visible',
                'label' => 'LBL_COURSE_STATUS',
              ),
              14 => 
              array (
                'name' => 'targeted_fee',
                'label' => 'LBL_TARGETED_FEE',
              ),
              15 => 
              array (
                'name' => 'all_inclusive_fee',
                'label' => 'LBL_ALL_INCLUSIVE_FEE',
              ),
              16 => 
              array (
                'name' => 'course_instructor',
                'studio' => 'visible',
                'label' => 'LBL_COURSE_INSTRUCTOR',
              ),
              17 => 
              array (
                'name' => 'hourly_fee_to_instructor',
                'label' => 'LBL_HOURLY_FEE_TO_INSTRUCTOR',
              ),
              18 => 
              array (
                'name' => 'contact_hours',
                'label' => 'LBL_CONTACT_HOURS',
              ),
              19 => 
              array (
                'name' => 'prep_hours',
                'label' => 'LBL_PREP_HOURS',
              ),
              20 => 
              array (
                'name' => 'grant_funding_type',
                'studio' => 'visible',
                'label' => 'LBL_GRANT_FUNDING_TYPE',
              ),
              21 => 
              array (
                'name' => 'ceu',
                'label' => 'LBL_CEU',
              ),
              22 => 
              array (
                'name' => 'billing_date',
                'label' => 'LBL_BILLING_DATE',
                'span' => 12,
              ),
            ),
          ),
          2 => 
          array (
            'name' => 'panel_hidden',
            'label' => 'LBL_SHOW_MORE',
            'hide' => true,
            'columns' => 2,
            'labelsOnTop' => true,
            'placeholders' => true,
            'newTab' => true,
            'panelDefault' => 'expanded',
            'fields' => 
            array (
              0 => 
              array (
                'name' => 'total_client_fee',
                'label' => 'LBL_TOTAL_CLIENT_FEE',
                'readonly' => true,
              ),
              1 => 
              array (
                'name' => 'team_name',
                'studio' => 
                array (
                  'portallistview' => false,
                  'portalrecordview' => false,
                ),
                'label' => 'LBL_TEAMS',
              ),
              2 => 
              array (
                'name' => 'total_expense',
                'label' => 'LBL_TOTAL_EXPENSE',
                'readonly' => true,
              ),
              3 => 
              array (
              ),
              4 => 
              array (
                'name' => 'course_net',
                'label' => 'LBL_COURSE_NET',
                'readonly' => true,
              ),
              5 => 
              array (
                'name' => 'gross_margin',
                'label' => 'LBL_GROSS_MARGIN',
                'readonly' => true,
              ),
            ),
          ),
        ),
        'templateMeta' => 
        array (
          'useTabs' => true,
        ),
      ),
    ),
  ),
);
