<?php

    $manifest =array(
        'acceptable_sugar_flavors' => array('CE','PRO','CORP','ENT','ULT'),
        'acceptable_sugar_versions' => array(
            'exact_matches' => array(
				0 => '9.0.3',
			),
			'regex_matches' => array(
	            0 => '9//.0//.(.*?)',
	            1 => '10//.0//.(.*?)',
	        ),
        ),
        'author' => 'Amelia Middleton',
        'description' => 'Installs record formats',
        'icon' => '',
        'is_uninstallable' => true,
        'name' => 'Record Formats',
        'published_date' => '2020-09-30',
        'type' => 'module',
        'version' => '2',
    );
    
$installdefs = array(
        'id' => 'package_format_layout',
        'language'=> array (
			array(
				'from'=> '<basepath>/Files/custom/Extension/modules/Contacts/Ext/Language/en_us.layoutformat.php',
				'to_module'=> 'Contacts',
				'language'=>'en_us'
			),
		),
	'copy' => array(
// Accounts
		array(
			'from' => '<basepath>/Files/custom/modules/Accounts/clients/base/filters/default/default.php',
			'to' => 'custom/modules/Accounts/clients/base/filters/default/default.php',
		),
		array(
			'from' => '<basepath>/Files/custom/modules/Accounts/clients/base/views/record/record.php',
			'to' => 'custom/modules/Accounts/clients/base/views/record/record.php',
		),
		array(
			'from' => '<basepath>/Files/custom/modules/Accounts/clients/base/views/subpanel-for-accounts_leads/subpanel-for-accounts_leads.php',
			'to' => 'custom/modules/Accounts/clients/base/views/subpanel-for-accounts_leads/subpanel-for-accounts_leads.php',
		),
		array(
			'from' => '<basepath>/Files/custom/modules/Accounts/clients/base/views/subpanel-for-contacts_accounts/subpanel-for-contacts_accounts.php',
			'to' => 'custom/modules/Accounts/clients/base/views/subpanel-for-contacts_accounts/subpanel-for-contacts_accounts.php',
		),
		array(
			'from' => '<basepath>/Files/custom/modules/Accounts/clients/base/views/subpanel-for-meetings/subpanel-for-meetings.php',
			'to' => 'custom/modules/Accounts/clients/base/views/subpanel-for-meetings/subpanel-for-meetings.php',
		),

		// Calls
//		array(
//			'from' => '<basepath>/Files/custom/modules/Calls/clients/base/menus/quickcreate/quickcreate.php',
//			'to' => 'custom/modules/Calls/clients/base/menus/quickcreate/quickcreate.php',
//		),

// Campaigns
		array(
			'from' => '<basepath>/Files/custom/modules/Campaigns/metadata/detailviewdefs.php',
			'to' => 'custom/modules/Campaigns/metadata/detailviewdefs.php',
		),
		array(
			'from' => '<basepath>/Files/custom/modules/Campaigns/metadata/editviewdefs.php',
			'to' => 'custom/modules/Campaigns/metadata/editviewdefs.php',
		),

		// Contacts
		array(
			'from' => '<basepath>/Files/custom/modules/Contacts/clients/base/views/record/record.php',
			'to' => 'custom/modules/Contacts/clients/base/views/record/record.php',
		),
// Documents
		array(
			'from' => '<basepath>/Files/custom/modules/Documents/metadata/detailviewdefs.php',
			'to' => 'custom/modules/Documents/metadata/detailviewdefs.php',
		),
		array(
			'from' => '<basepath>/Files/custom/modules/Documents/metadata/editviewdefs.php',
			'to' => 'custom/modules/Documents/metadata/editviewdefs.php',
		),
		array(
			'from' => '<basepath>/Files/custom/modules/Documents/metadata/quickcreatedefs.php',
			'to' => 'custom/modules/Documents/metadata/quickcreatedefs.php',
		),
//Leads
		array(
			'from' => '<basepath>/Files/custom/modules/Leads/clients/base',
			'to' => 'custom/modules/Leads/clients/base',
		),
//Lev_Contracts
		array(
			'from' => '<basepath>/Files/custom/modules/Lev_Contracts/clients/base',
			'to' => 'custom/modules/Lev_Contracts/clients/base',
		),

//Lev_Course_Catalog
		array(
			'from' => '<basepath>/Files/custom/modules/Lev_Course_Catalog/clients/base',
			'to' => 'custom/modules/Lev_Course_Catalog/clients/base',
		),

//Lev_Course_Class_Dates
		array(
			'from' => '<basepath>/Files/custom/modules/Lev_Course_Class_Dates/clients/base',
			'to' => 'custom/modules/Lev_Course_Class_Dates/clients/base',
		),
//Lev_Course_Costs
		array(
			'from' => '<basepath>/Files/custom/modules/Lev_Course_Costs/clients/base',
			'to' => 'custom/modules/Lev_Course_Costs/clients/base',
		),

//Lev_Courses
		array(
			'from' => '<basepath>/Files/custom/modules/Lev_Courses/clients/base',
			'to' => 'custom/modules/Lev_Courses/clients/base',
		),
		array(
			'from' => '<basepath>/Files/custom/modules/Lev_Courses/clients/base',
			'to' => 'custom/modules/Lev_Courses/clients/base',
		),
//Opportunities
		array(
			'from' => '<basepath>/Files/custom/modules/Opportunities/clients/base/views/record/record.php',
			'to' => 'custom/modules/Opportunities/clients/base/views/record/record.php',
		),
// Tasks
		array(
			'from' => '<basepath>/Files/custom/modules/Tasks/clients/base/views/record/record.php',
			'to' => 'custom/modules/Tasks/clients/base/views/record/record.php',
		),
// Prospects (Targets)
		array(
			'from' => '<basepath>/Files/custom/modules/Prospects/clients/base/views/record/record.php',
			'to' => 'custom/modules/Prospects/clients/base/views/record/record.php',
		)

	),

);
?>